package com.aucma.production.mapper;

import java.util.List;

import com.aucma.production.domain.ProdStationCapability;
import org.apache.ibatis.annotations.Param;

/**
 * 工位能力维护Mapper接口
 *
 * @author Codex
 * @date 2026-03-18
 */
public interface ProdStationCapabilityMapper {
    ProdStationCapability selectProdStationCapabilityByObjId(@Param("objId") Long objId);

    List<ProdStationCapability> selectProdStationCapabilityList(ProdStationCapability prodStationCapability);

    ProdStationCapability selectByStationCodeAndMaterialCode(ProdStationCapability prodStationCapability);

    int insertProdStationCapability(ProdStationCapability prodStationCapability);

    int updateProdStationCapability(ProdStationCapability prodStationCapability);

    int deleteProdStationCapabilityByObjId(@Param("objId") Long objId);

    int deleteProdStationCapabilityByObjIds(@Param("objIds") Long[] objIds);
}
